> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor/list-profile-fields.md).

# List profile fields

Endpoint

```
GET /api/profile-fields/
```

#### Authorization

Requests to this endpoint must include an `API-KEY` in the header for authentication:

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com//api/profile-fields/", headers=headers)
```

#### Response Object

The response object includes comprehensive details about the types of fields you can retrieve.<br>

*Note: The list includes system fields (e.g., `email`, `phone_number`, `profile_tags`) and any custom fields your organization created (e.g., attachments, booleans, enums, dates). Custom field `id`s are UUIDs and stable.*\
\
*For a list of all field types available, please see* [The Profile object](/resources/editor/the-profile-object.md).

```json
[
    {
        "id": "id",
        "label": "Id",
        "type": "uuid",
        "is_custom": false
    },
    {
        "id": "first_name",
        "label": "First name",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "last_name",
        "label": "Last name",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "opportunities",
        "label": "Opportunities",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "categories",
        "label": "Categories",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "sequences",
        "label": "Sequences",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "next_shift_date",
        "label": "Next shift date",
        "type": "datetime",
        "is_custom": false
    },
    {
        "id": "opportunity_tags",
        "label": "Opportunity tags",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "impact_value",
        "label": "Impact value",
        "type": "decimal",
        "is_custom": false
    },
    {
        "id": "date_invited",
        "label": "Date invited",
        "type": "datetime",
        "is_custom": false
    },
    {
        "id": "last_login_date",
        "label": "Last login date",
        "type": "datetime",
        "is_custom": false
    },
    {
        "id": "completed_shifts",
        "label": "Completed shifts",
        "type": "integer",
        "is_custom": false
    },
    {
        "id": "logged_hours",
        "label": "Logged hours",
        "type": "duration",
        "is_custom": false
    },
    {
        "id": "gender",
        "label": "Gender",
        "type": "integer",
        "is_custom": false
    },
    {
        "id": "email",
        "label": "Email",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "phone_number",
        "label": "Phone number",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "address",
        "label": "Address",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "date_of_birth",
        "label": "Date of birth",
        "type": "date",
        "is_custom": false
    },
    {
        "id": "birthday",
        "label": "Birthday",
        "type": "date",
        "is_custom": false
    },
    {
        "id": "emergency_contact_name",
        "label": "Emergency contact name",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "emergency_contact_relationship",
        "label": "Emergency contact relationship",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "emergency_contact_phone_number",
        "label": "Emergency contact phone number",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "skills",
        "label": "Skills",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "languages",
        "label": "Languages",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "occupation",
        "label": "Occupation",
        "type": "integer",
        "is_custom": false
    },
    {
        "id": "organization",
        "label": "Organization",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "last_shift_date",
        "label": "Last shift date",
        "type": "date",
        "is_custom": false
    },
    {
        "id": "start_date",
        "label": "Start date",
        "type": "date",
        "is_custom": false
    },
    {
        "id": "profile_image",
        "label": "Profile image",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "gender_text",
        "label": "Gender text",
        "type": "string",
        "is_custom": false
    },
    {
        "id": "address_coordinates",
        "label": "Address coordinates",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "profile_tags",
        "label": "Profile tags",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "is_offline",
        "label": "Is offline",
        "type": "boolean",
        "is_custom": false
    },
    {
        "id": "is_following",
        "label": "Is following",
        "type": "boolean",
        "is_custom": false
    },
    {
        "id": "emergency_contact",
        "label": "Emergency contact",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "medical_information",
        "label": "Medical information",
        "type": "json",
        "is_custom": false
    },
    {
        "id": "date_claimed_profile",
        "label": "Date claimed profile",
        "type": "datetime",
        "is_custom": false
    },
    {
        "id": "9a291c01-37c8-4296-9665-ac94bc006d34",
        "label": "Annual health screening date",
        "type": "date",
        "field_type": 12,
        "is_custom": true
    },
    {
        "id": "59082000-478d-4fe2-858d-14641400b079",
        "label": "Favourite color",
        "type": "enum",
        "field_type": 3,
        "is_custom": true
    },
    {
        "id": "b73d02d7-1682-4b72-95d4-da136263e63c",
        "label": "Active status",
        "type": "boolean",
        "field_type": 10,
        "is_custom": true
    },
    {
        "id": "92a2ad55-0553-4e98-8caa-9f0aaf647a10",
        "label": "Attachment field sample",
        "type": "string",
        "field_type": 6,
        "is_custom": true
    },
    {
        "id": "6ff1aa11-7f05-4fee-b63c-dfaae6414e84",
        "label": "Cover letter attachment",
        "type": "string",
        "field_type": 6,
        "is_custom": true
    },
    {
        "id": "42be3f30-14e1-453f-800c-64f3801c4f8a",
        "label": "Resume",
        "type": "string",
        "field_type": 6,
        "is_custom": true
    },
    {
        "id": "47450645-b3a4-45aa-a10b-92ebdda27265",
        "label": "Salesforce id",
        "type": "string",
        "field_type": 9,
        "is_custom": true
    },
]
```

For a complete description of each field in this response object, you can visit: [Profiles](/resources/editor.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor/list-profile-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
